Name: par2cmdline-turbo
Version: 1.2.0
Release: 1%{?dist}
Summary: PAR 2.0 compatible file verification and repair tool

License: GPL-2.0-or-later
URL:     https://github.com/animetosho/par2cmdline-turbo
Source0: https://github.com/animetosho/par2cmdline-turbo/archive/refs/tags/v%{version}.tar.gz

# Fix tests to account for endianness correctly.
# Backport of https://github.com/Parchive/par2cmdline/commit/4f3576a314d7169912842ec9dc1e595e61e52653.
# Patch0: 0001-Fix-for-Github-issue-143.-Test-did-not-account-for-e.patch

BuildRequires: make
BuildRequires: gcc-c++
BuildRequires: autoconf
BuildRequires: automake
# Needed for source file verification.
BuildRequires: gnupg2

Conflicts:      par2cmdline

%description
This is a simple fork of par2cmdline which replaces core computation routines 
with ParPar’s processing backend, improving par2cmdline’s performance on x86/ARM platforms.

Differences with par2cmdline:

par2cmdline-turbo aims to keep close with its upstream and only differs in the 
following areas related to performance. As such, the scope of this project covers:

    GF16, MD5 and CRC32 computation, using ParPar’s implementation
    Use ParPar’s internal checksumming to detect RAM errors during GF16 computation
    Adopts ParPar’s stitched hashing approach

par2cmdline is a program for creating and using PAR2 files to detect damage
in data files and repair them if necessary. PAR2 files are usually
published in binary newsgroups on Usenet; they apply the data-recovery
capability concepts of RAID-like systems to the posting and recovery of
multi-part archives.


%prep
%autosetup -p 1

# Remove executable permission from text files
chmod -x ChangeLog configure.ac INSTALL Makefile.am NEWS stamp-h.in


%build
./automake.sh
%configure
%make_build


%install
%make_install


%check
make check-TESTS


%files
%license COPYING
%doc AUTHORS ChangeLog README
%{_bindir}/par2
%{_bindir}/par2create
%{_bindir}/par2repair
%{_bindir}/par2verify
%{_mandir}/man1/par2.1*

%changelog
* Fri Dec 13 2024 josef radinger <cheese@nosuchhost.net> - 
- bump version

* Fri Dec 13 2024 josef radinger <cheese@nosuchhost.net> - 
- bump version

* Fri Dec 13 2024 josef radinger <cheese@nosuchhost.net> - 1.20.0-1
- initial package - based on fedoras par2cmdline


